<div id="admin-abadon">
  <div class="mt-5">
    <div>
      <p class="mb-0 text-lg font-semibold">Abandoned Email</p>
      <span class="text-sm">
        These notifications are automatically sent out to the customer when they
        have an uncompleted checkout.
      </span>
    </div>
    <v-card class="ui-card mt-4 p-6 flex flex-col gap-4">
      <div class="p-4 bg-gray-100 rounded flex items-center gap-4">
        <v-icon class="!text-blue-500 !text-[30px]">mdi-information</v-icon>

        <p class="text-xs text-gray-900 mb-0">
          Send 3 sms/email templates to people who have abandoned a checkout.
          Includes the link to return to the checkout process with the same
          products at the time of abandonment.
        </p>
      </div>
      <div
        id="hideBottomInput"
        class="flex gap-4 items-center justify-between pb-4 border-b border-[#E5E7EB]"
      >
        <div>
          <p class="text-[#1F2937] text-sm font-semibold leading-5">
            Abandoned Conversion Fee
          </p>
          <p class="text-xs font-normal leading-4 text-[#6B7280]">
            This fee will be apply for Seller as they convert success an
            abandoned order.
          </p>
        </div>
        <div class="flex gap-[6px] items-center justify-end">
          <v-select
            dense
            outlined
            class="rounded-lg"
            append-icon="mdi-chevron-down"
            :menu-props="{ bottom: true, offsetY: true }"
            :items="listStatus"
            v-model="status"
            item-text="title"
            item-value="value"
            hide-details
            style="max-width: 158px; width: 100%; font-size: 14px !important"
          >
            <template v-slot:item="status">
              <template>
                <v-list-item-content class="py-0">
                  <div class="p-2 text-sm">{{status.item.title}}</div>
                </v-list-item-content>
              </template>
            </template>
          </v-select>
          <v-text-field
            dense
            outlined
            value="0.8"
            class="rounded-sm"
            prefix="$"
            style="max-width: 80px; width: 100%"
            disabled
          ></v-text-field>
        </div>
      </div>
      <div>
        <p class="text-[#1F2937] text-sm font-semibold leading-5">
          Email Settings
        </p>
        <p class="text-xs font-normal leading-4 text-[#6B7280]">
          Change sending interval and discount code within each email.
        </p>
        <div
          v-for="(item , idx) in listAbandon"
          :key="item + idx"
          class="flex items-center mt-4"
        >
          <p
            v-if="idx === 0"
            class="text-sm font-normal leading-5 text-[#1F2937]"
          >
            First Email
          </p>
          <p
            v-if="idx === 1"
            class="text-sm font-normal leading-5 text-[#1F2937]"
          >
            Second Email
          </p>
          <p
            v-if="idx === 2"
            class="text-sm font-normal leading-5 text-[#1F2937]"
          >
            Third Email
          </p>
          <div class="flex justify-end items-center gap-4">
            <p class="text-xs font-normal leading-6 text-[#6B7280]">
              Offer user with Free Shipping
            </p>
            <v-select
              disabled
              dense
              outlined
              class="rounded-lg"
              append-icon="mdi-chevron-down"
              :menu-props="{ bottom: true, offsetY: true }"
              :items="listTime"
              v-model="item.timestamp"
              item-text="name"
              item-value="value"
              height="32px"
              hide-details
              style="max-width: 158px; width: 100%; font-size: 14px !important"
            >
              <template v-slot:item="status">
                <template>
                  <v-list-item-content class="py-0">
                    <div class="p-2 text-sm">{{status.item.name}}</div>
                  </v-list-item-content>
                </template>
              </template>
            </v-select>
            <v-btn
              class="elevation-0 text-none !h-10"
              outlined
              color="#3F83F8"
              style="border-radius: 6px !important"
              @click="goToDetailMail(item._id)"
            >
              <span class="text-sm font-semibold leading-5"> Edit </span>
            </v-btn>
          </div>
        </div>
      </div>
    </v-card>
  </div>
</div>
